Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EngineECReportGroupListMemberMemory

    java.lang.Object
      com.connecterra.ale.alevent.impl.EngineECReportGroupListMemberMemory

All Implemented Interfaces:
  ECReportGroupListMemberMemory

public class EngineECReportGroupListMemberMemory
extends java.lang.Object
implements ECReportGroupListMemberMemory

Constructor Summary
`EngineECReportGroupListMemberMemory(java.net.URI field, long[] data)`

Method Summary
`java.net.URI` | `getField()` Returns the URI specifying the location of this memory item within the tag.
`java.net.URI` | `getValue()` Returns the value stored in the referenced memory location on the tag.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineECReportGroupListMemberMemory

    public EngineECReportGroupListMemberMemory(java.net.URI field,
                                               long[] data)
                                        throws com.connecterra.ale.epc.EPCFieldDecodingException,
                                               com.connecterra.ale.epc.EPCException

Method Detail

### getField

    public java.net.URI getField()

  Description copied from interface: `ECReportGroupListMemberMemory`
  Returns the URI specifying the location of this memory item within the tag.

  Specified by:
    `getField` in interface `ECReportGroupListMemberMemory`
  Returns:
    the field's memory location URI

### getValue

    public java.net.URI getValue()

  Description copied from interface: `ECReportGroupListMemberMemory`
  Returns the value stored in the referenced memory location on the tag. The form of this URI depends on the form requested in the ECReportSpec's includedMemoryFields list.

  Specified by:
    `getValue` in interface `ECReportGroupListMemberMemory`
  Returns:
    the memory's contents in URI form

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD